Bug 742584 - IcedTea / Java plugin not working in epiphany
Summary: IcedTea / Java plugin not working in epiphany
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany   
(Show other bugs)
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hatina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-30 16:06 UTC by Daniel
Modified: 2016-06-01 01:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 20:21:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
epiphany running java applets (47.93 KB, image/png)
2012-07-02 08:47 UTC, Peter Hatina
no flags Details

Description Daniel 2011-09-30 16:06:24 UTC
Description of problem:
Java Applets won't start in epiphany. No error messages or other hints to the problem except for the following console output:
** (epiphany:16355): DEBUG: NP_Initialize
** (epiphany:16355): DEBUG: NP_Initialize succeeded
** (epiphany:16355): DEBUG: NP_Initialize
** (epiphany:16355): DEBUG: NP_Initialize succeeded
** (epiphany:16355): DEBUG: NP_Initialize
** (epiphany:16355): DEBUG: NP_Initialize succeeded
** (epiphany:16355): DEBUG: NP_Initialize
** (epiphany:16355): DEBUG: NP_Initialize succeeded
** (epiphany:16355): DEBUG: NP_Initialize
** (epiphany:16355): DEBUG: NP_Initialize succeeded
** (epiphany:16355): DEBUG: NP_Shutdown
** (epiphany:16355): DEBUG: NP_Initialize
** (epiphany:16355): DEBUG: NP_Initialize succeeded
** (epiphany:16355): DEBUG: NP_Initialize
** (epiphany:16355): DEBUG: NP_Initialize succeeded
** (epiphany:16355): DEBUG: NP_Initialize
** (epiphany:16355): DEBUG: NP_Initialize succeeded


Version-Release number of selected component (if applicable):
epiphany 3.0.3 1.fc15
icedtea-web 1.0.5 1.fc15

How reproducible:
Always

Steps to Reproduce:
1. Visit some wepage containing applets (e.g. http://www.javatester.org/version.html )
  
Actual results:
Neither the applet, nor an error message or a "missing plugin" notification is shown

Expected results:
The Java Applet should start

Additional info:
The icetea plugin works, as the applets work just fine when using firefox.
The plugin path seems to be correct too, as gnash works in epiphany from the mozilla plugin directory (/usr/lib64/mozilla/plugins)

Comment 1 Alexander van Loon 2011-11-27 14:53:51 UTC
Confirming, I just did a fresh install of F16 and Epiphany doesn't work with your URL, but Firefox does.

Comment 2 Martin Stransky 2012-02-15 09:57:27 UTC
Peter works on epiphany now.

Comment 3 Manuel Quiñones 2012-04-19 13:32:56 UTC
Still happens in F17 with Epiphany/Web 3.4.0.1 .

Comment 4 Peter Hatina 2012-06-06 12:10:56 UTC
The problem is in the GTK+ version mismatch. Epiphany is linked against GTK+ 3.x and the IcedTeaPlugin uses GTK+ of version 2.x. The ideal solution could be following: to have both, epiphany and IcedTeaPlugin linked against the same version of GTK+. But there are browsers using GTK+ 2.x and 3.x. So this issue can be easily resolved by using nspluginwrapper. 

As normal user run:

rm $HOME/.mozilla/plugins/*
/usr/lib64/nspluginwrapper/npconfig -v -n -a -i

Then you will have wrapped plugins in $HOME/.mozilla/plugins/ and epiphany is then able to use IcedTeaPlugin.

Comment 5 Manuel Quiñones 2012-06-22 12:38:10 UTC
I have icedtea-web and nspluginwrapper installed, did the steps in Commennt 4, that put npwrapper.libjavaplugin.so in ~/.mozilla/plugins/ (among others).  But still no Java.  Tested with the test cases in http://icedtea.classpath.org/wiki/IcedTea-Web-Tests .

F17 with Epiphany/Web 3.4.1 .

Comment 6 Peter Hatina 2012-07-02 08:46:15 UTC
Opened most of the pages, you suggested (icedtea wiki) and the Java applets work.

nspluginwrapper-1.4.4-9.fc17.x86_64
icedtea-web-1.2-2.fc17.x86_64
epiphany-3.4.1-2.fc17.x86_64

I wrapped the plugins, as said before.

Comment 7 Peter Hatina 2012-07-02 08:47:54 UTC
Created attachment 595673 [details]
epiphany running java applets

Comment 8 Fedora End Of Life 2012-08-07 20:21:59 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.